#ifndef BRIDGE_H
#define BRIDGE_H

#include <QObject>
#include <QWidget>
#include <QThread>

#include "readEPC/readepccontrol.h" //EPC读取数据助手
#include "TCPSocketHelper/tcpsockethelper.h"    //TCP助手

class Bridge : public QObject
{
    Q_OBJECT
public:
    explicit Bridge(QObject *parent = nullptr);
    ReadEPCControl *m_ReadEPCControl;
    TCPSocketHelper *m_TCPSocketHelper;
signals:
    void SendToTCPSocketHelperConnect();    //连接服务器
    void SendToTCPSocketHelperRegister();    //站点注册
    void SendToTCPSocketHelperBinding(QString epc,QString carPlnum);    //绑定
    void SendToReadEPCControl_Start_Read(QString ComName,long baudRate);
    void SendToWindow(int data);
public slots:

private:
    void ReadEPCControl_Func();
private:
    QThread *m_ReadEPCControl_thread;
    QThread *m_TCPSocketHelper_thread;
};

#endif // BRIDGE_H
